1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
19pkgincludedir = $(includedir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkglibexecdir = $(libexecdir)/@PACKAGE@
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34subdir = .
35DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
37	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
38	install-sh missing
39ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40am__aclocal_m4_deps = $(top_srcdir)/configure.ac
41am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42	$(ACLOCAL_M4)
43am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
44 configure.lineno config.status.lineno
45mkinstalldirs = $(install_sh) -d
46CONFIG_HEADER = config.h
47CONFIG_CLEAN_FILES =
48CONFIG_CLEAN_VPATH_FILES =
49SOURCES =
50DIST_SOURCES =
51RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
52	html-recursive info-recursive install-data-recursive \
53	install-dvi-recursive install-exec-recursive \
54	install-html-recursive install-info-recursive \
55	install-pdf-recursive install-ps-recursive install-recursive \
56	installcheck-recursive installdirs-recursive pdf-recursive \
57	ps-recursive uninstall-recursive
58RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
59  distclean-recursive maintainer-clean-recursive
60AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
61	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
62	distdir dist dist-all distcheck
63ETAGS = etags
64CTAGS = ctags
65DIST_SUBDIRS = $(SUBDIRS)
66DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
67distdir = $(PACKAGE)-$(VERSION)
68top_distdir = $(distdir)
69am__remove_distdir = \
70  { test ! -d "$(distdir)" \
71    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
72         && rm -fr "$(distdir)"; }; }
73am__relativize = \
74  dir0=`pwd`; \
75  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
76  sed_rest='s,^[^/]*/*,,'; \
77  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
78  sed_butlast='s,/*[^/]*$$,,'; \
79  while test -n "$$dir1"; do \
80    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
81    if test "$$first" != "."; then \
82      if test "$$first" = ".."; then \
83        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
84        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
85      else \
86        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
87        if test "$$first2" = "$$first"; then \
88          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
89        else \
90          dir2="../$$dir2"; \
91        fi; \
92        dir0="$$dir0"/"$$first"; \
93      fi; \
94    fi; \
95    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
96  done; \
97  reldir="$$dir2"
98DIST_ARCHIVES = $(distdir).tar.gz
99GZIP_ENV = --best
100distuninstallcheck_listfiles = find . -type f -print
101distcleancheck_listfiles = find . -type f -print
102ACLOCAL = @ACLOCAL@
103AMTAR = @AMTAR@
104AUTOCONF = @AUTOCONF@
105AUTOHEADER = @AUTOHEADER@
106AUTOMAKE = @AUTOMAKE@
107AWK = @AWK@
108CC = @CC@
109CCDEPMODE = @CCDEPMODE@
110CFLAGS = @CFLAGS@
111CPPFLAGS = @CPPFLAGS@
112CYGPATH_W = @CYGPATH_W@
113DEFS = @DEFS@
114DEPDIR = @DEPDIR@
115ECHO_C = @ECHO_C@
116ECHO_N = @ECHO_N@
117ECHO_T = @ECHO_T@
118EXEEXT = @EXEEXT@
119INSTALL = @INSTALL@
120INSTALL_DATA = @INSTALL_DATA@
121INSTALL_PROGRAM = @INSTALL_PROGRAM@
122INSTALL_SCRIPT = @INSTALL_SCRIPT@
123INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
124LDFLAGS = @LDFLAGS@
125LIBOBJS = @LIBOBJS@
126LIBS = @LIBS@
127LN_S = @LN_S@
128LTLIBOBJS = @LTLIBOBJS@
129MAKEINFO = @MAKEINFO@
130MKDIR_P = @MKDIR_P@
131OBJEXT = @OBJEXT@
132PACKAGE = @PACKAGE@
133PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
134PACKAGE_NAME = @PACKAGE_NAME@
135PACKAGE_STRING = @PACKAGE_STRING@
136PACKAGE_TARNAME = @PACKAGE_TARNAME@
137PACKAGE_URL = @PACKAGE_URL@
138PACKAGE_VERSION = @PACKAGE_VERSION@
139PATH_SEPARATOR = @PATH_SEPARATOR@
140SET_MAKE = @SET_MAKE@
141SHELL = @SHELL@
142STRIP = @STRIP@
143VERSION = @VERSION@
144abs_builddir = @abs_builddir@
145abs_srcdir = @abs_srcdir@
146abs_top_builddir = @abs_top_builddir@
147abs_top_srcdir = @abs_top_srcdir@
148ac_ct_CC = @ac_ct_CC@
149am__include = @am__include@
150am__leading_dot = @am__leading_dot@
151am__quote = @am__quote@
152am__tar = @am__tar@
153am__untar = @am__untar@
154bindir = @bindir@
155build_alias = @build_alias@
156builddir = @builddir@
157datadir = @datadir@
158datarootdir = @datarootdir@
159docdir = @docdir@
160dvidir = @dvidir@
161exec_prefix = @exec_prefix@
162host_alias = @host_alias@
163htmldir = @htmldir@
164includedir = @includedir@
165infodir = @infodir@
166install_sh = @install_sh@
167libdir = @libdir@
168libexecdir = @libexecdir@
169localedir = @localedir@
170localstatedir = @localstatedir@
171mandir = @mandir@
172mkdir_p = @mkdir_p@
173oldincludedir = @oldincludedir@
174pdfdir = @pdfdir@
175prefix = @prefix@
176program_transform_name = @program_transform_name@
177psdir = @psdir@
178sbindir = @sbindir@
179sharedstatedir = @sharedstatedir@
180srcdir = @srcdir@
181sysconfdir = @sysconfdir@
182target_alias = @target_alias@
183top_build_prefix = @top_build_prefix@
184top_builddir = @top_builddir@
185top_srcdir = @top_srcdir@
186SUBDIRS = profiles
187MAINTAINERCLEANFILES = ChangeLog
188DISTCLEANFILES =
189EXTRA_DIST = ChangeLog
190all: config.h
191	$(MAKE) $(AM_MAKEFLAGS) all-recursive
192
193.SUFFIXES:
194am--refresh:
195	@:
196$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
197	@for dep in $?; do \
198	  case '$(am__configure_deps)' in \
199	    *$$dep*) \
200	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
201	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
202		&& exit 0; \
203	      exit 1;; \
204	  esac; \
205	done; \
206	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
207	$(am__cd) $(top_srcdir) && \
208	  $(AUTOMAKE) --gnu Makefile
209.PRECIOUS: Makefile
210Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
211	@case '$?' in \
212	  *config.status*) \
213	    echo ' $(SHELL) ./config.status'; \
214	    $(SHELL) ./config.status;; \
215	  *) \
216	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
217	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
218	esac;
219
220$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
221	$(SHELL) ./config.status --recheck
222
223$(top_srcdir)/configure:  $(am__configure_deps)
224	$(am__cd) $(srcdir) && $(AUTOCONF)
225$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
226	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
227$(am__aclocal_m4_deps):
228
229config.h: stamp-h1
230	@if test ! -f $@; then \
231	  rm -f stamp-h1; \
232	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
233	else :; fi
234
235stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
236	@rm -f stamp-h1
237	cd $(top_builddir) && $(SHELL) ./config.status config.h
238$(srcdir)/config.h.in:  $(am__configure_deps)
239	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
240	rm -f stamp-h1
241	touch $@
242
243distclean-hdr:
244	-rm -f config.h stamp-h1
245
246# This directory's subdirectories are mostly independent; you can cd
247# into them and run `make' without going through this Makefile.
248# To change the values of `make' variables: instead of editing Makefiles,
249# (1) if the variable is set in `config.status', edit `config.status'
250#     (which will cause the Makefiles to be regenerated when you run `make');
251# (2) otherwise, pass the desired values on the `make' command line.
252$(RECURSIVE_TARGETS):
253	@fail= failcom='exit 1'; \
254	for f in x $$MAKEFLAGS; do \
255	  case $$f in \
256	    *=* | --[!k]*);; \
257	    *k*) failcom='fail=yes';; \
258	  esac; \
259	done; \
260	dot_seen=no; \
261	target=`echo $@ | sed s/-recursive//`; \
262	list='$(SUBDIRS)'; for subdir in $$list; do \
263	  echo "Making $$target in $$subdir"; \
264	  if test "$$subdir" = "."; then \
265	    dot_seen=yes; \
266	    local_target="$$target-am"; \
267	  else \
268	    local_target="$$target"; \
269	  fi; \
270	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
271	  || eval $$failcom; \
272	done; \
273	if test "$$dot_seen" = "no"; then \
274	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
275	fi; test -z "$$fail"
276
277$(RECURSIVE_CLEAN_TARGETS):
278	@fail= failcom='exit 1'; \
279	for f in x $$MAKEFLAGS; do \
280	  case $$f in \
281	    *=* | --[!k]*);; \
282	    *k*) failcom='fail=yes';; \
283	  esac; \
284	done; \
285	dot_seen=no; \
286	case "$@" in \
287	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
288	  *) list='$(SUBDIRS)' ;; \
289	esac; \
290	rev=''; for subdir in $$list; do \
291	  if test "$$subdir" = "."; then :; else \
292	    rev="$$subdir $$rev"; \
293	  fi; \
294	done; \
295	rev="$$rev ."; \
296	target=`echo $@ | sed s/-recursive//`; \
297	for subdir in $$rev; do \
298	  echo "Making $$target in $$subdir"; \
299	  if test "$$subdir" = "."; then \
300	    local_target="$$target-am"; \
301	  else \
302	    local_target="$$target"; \
303	  fi; \
304	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
305	  || eval $$failcom; \
306	done && test -z "$$fail"
307tags-recursive:
308	list='$(SUBDIRS)'; for subdir in $$list; do \
309	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
310	done
311ctags-recursive:
312	list='$(SUBDIRS)'; for subdir in $$list; do \
313	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
314	done
315
316ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
317	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
318	unique=`for i in $$list; do \
319	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
320	  done | \
321	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
322	      END { if (nonempty) { for (i in files) print i; }; }'`; \
323	mkid -fID $$unique
324tags: TAGS
325
326TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
327		$(TAGS_FILES) $(LISP)
328	set x; \
329	here=`pwd`; \
330	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
331	  include_option=--etags-include; \
332	  empty_fix=.; \
333	else \
334	  include_option=--include; \
335	  empty_fix=; \
336	fi; \
337	list='$(SUBDIRS)'; for subdir in $$list; do \
338	  if test "$$subdir" = .; then :; else \
339	    test ! -f $$subdir/TAGS || \
340	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
341	  fi; \
342	done; \
343	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
344	unique=`for i in $$list; do \
345	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
346	  done | \
347	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
348	      END { if (nonempty) { for (i in files) print i; }; }'`; \
349	shift; \
350	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
351	  test -n "$$unique" || unique=$$empty_fix; \
352	  if test $$# -gt 0; then \
353	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
354	      "$$@" $$unique; \
355	  else \
356	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
357	      $$unique; \
358	  fi; \
359	fi
360ctags: CTAGS
361CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
362		$(TAGS_FILES) $(LISP)
363	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
364	unique=`for i in $$list; do \
365	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
366	  done | \
367	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
368	      END { if (nonempty) { for (i in files) print i; }; }'`; \
369	test -z "$(CTAGS_ARGS)$$unique" \
370	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
371	     $$unique
372
373GTAGS:
374	here=`$(am__cd) $(top_builddir) && pwd` \
375	  && $(am__cd) $(top_srcdir) \
376	  && gtags -i $(GTAGS_ARGS) "$$here"
377
378distclean-tags:
379	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
380
381distdir: $(DISTFILES)
382	$(am__remove_distdir)
383	test -d "$(distdir)" || mkdir "$(distdir)"
384	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
385	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
386	list='$(DISTFILES)'; \
387	  dist_files=`for file in $$list; do echo $$file; done | \
388	  sed -e "s|^$$srcdirstrip/||;t" \
389	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
390	case $$dist_files in \
391	  */*) $(MKDIR_P) `echo "$$dist_files" | \
392			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
393			   sort -u` ;; \
394	esac; \
395	for file in $$dist_files; do \
396	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
397	  if test -d $$d/$$file; then \
398	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
399	    if test -d "$(distdir)/$$file"; then \
400	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
401	    fi; \
402	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
403	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
404	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
405	    fi; \
406	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
407	  else \
408	    test -f "$(distdir)/$$file" \
409	    || cp -p $$d/$$file "$(distdir)/$$file" \
410	    || exit 1; \
411	  fi; \
412	done
413	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
414	  if test "$$subdir" = .; then :; else \
415	    test -d "$(distdir)/$$subdir" \
416	    || $(MKDIR_P) "$(distdir)/$$subdir" \
417	    || exit 1; \
418	  fi; \
419	done
420	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
421	  if test "$$subdir" = .; then :; else \
422	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
423	    $(am__relativize); \
424	    new_distdir=$$reldir; \
425	    dir1=$$subdir; dir2="$(top_distdir)"; \
426	    $(am__relativize); \
427	    new_top_distdir=$$reldir; \
428	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
429	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
430	    ($(am__cd) $$subdir && \
431	      $(MAKE) $(AM_MAKEFLAGS) \
432	        top_distdir="$$new_top_distdir" \
433	        distdir="$$new_distdir" \
434		am__remove_distdir=: \
435		am__skip_length_check=: \
436		am__skip_mode_fix=: \
437	        distdir) \
438	      || exit 1; \
439	  fi; \
440	done
441	-test -n "$(am__skip_mode_fix)" \
442	|| find "$(distdir)" -type d ! -perm -755 \
443		-exec chmod u+rwx,go+rx {} \; -o \
444	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
445	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
446	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
447	|| chmod -R a+r "$(distdir)"
448dist-gzip: distdir
449	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
450	$(am__remove_distdir)
451
452dist-bzip2: distdir
453	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
454	$(am__remove_distdir)
455
456dist-lzma: distdir
457	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
458	$(am__remove_distdir)
459
460dist-xz: distdir
461	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
462	$(am__remove_distdir)
463
464dist-tarZ: distdir
465	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
466	$(am__remove_distdir)
467
468dist-shar: distdir
469	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
470	$(am__remove_distdir)
471
472dist-zip: distdir
473	-rm -f $(distdir).zip
474	zip -rq $(distdir).zip $(distdir)
475	$(am__remove_distdir)
476
477dist dist-all: distdir
478	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
479	$(am__remove_distdir)
480
481# This target untars the dist file and tries a VPATH configuration.  Then
482# it guarantees that the distribution is self-contained by making another
483# tarfile.
484distcheck: dist
485	case '$(DIST_ARCHIVES)' in \
486	*.tar.gz*) \
487	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
488	*.tar.bz2*) \
489	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
490	*.tar.lzma*) \
491	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
492	*.tar.xz*) \
493	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
494	*.tar.Z*) \
495	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
496	*.shar.gz*) \
497	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
498	*.zip*) \
499	  unzip $(distdir).zip ;;\
500	esac
501	chmod -R a-w $(distdir); chmod a+w $(distdir)
502	mkdir $(distdir)/_build
503	mkdir $(distdir)/_inst
504	chmod a-w $(distdir)
505	test -d $(distdir)/_build || exit 0; \
506	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
507	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
508	  && am__cwd=`pwd` \
509	  && $(am__cd) $(distdir)/_build \
510	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
511	    $(DISTCHECK_CONFIGURE_FLAGS) \
512	  && $(MAKE) $(AM_MAKEFLAGS) \
513	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
514	  && $(MAKE) $(AM_MAKEFLAGS) check \
515	  && $(MAKE) $(AM_MAKEFLAGS) install \
516	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
517	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
518	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
519	        distuninstallcheck \
520	  && chmod -R a-w "$$dc_install_base" \
521	  && ({ \
522	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
523	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
524	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
525	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
526	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
527	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
528	  && rm -rf "$$dc_destdir" \
529	  && $(MAKE) $(AM_MAKEFLAGS) dist \
530	  && rm -rf $(DIST_ARCHIVES) \
531	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
532	  && cd "$$am__cwd" \
533	  || exit 1
534	$(am__remove_distdir)
535	@(echo "$(distdir) archives ready for distribution: "; \
536	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
537	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
538distuninstallcheck:
539	@$(am__cd) '$(distuninstallcheck_dir)' \
540	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
541	   || { echo "ERROR: files left after uninstall:" ; \
542	        if test -n "$(DESTDIR)"; then \
543	          echo "  (check DESTDIR support)"; \
544	        fi ; \
545	        $(distuninstallcheck_listfiles) ; \
546	        exit 1; } >&2
547distcleancheck: distclean
548	@if test '$(srcdir)' = . ; then \
549	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
550	  exit 1 ; \
551	fi
552	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
553	  || { echo "ERROR: files left in build directory after distclean:" ; \
554	       $(distcleancheck_listfiles) ; \
555	       exit 1; } >&2
556check-am: all-am
557check: check-recursive
558all-am: Makefile config.h
559installdirs: installdirs-recursive
560installdirs-am:
561install: install-recursive
562install-exec: install-exec-recursive
563install-data: install-data-recursive
564uninstall: uninstall-recursive
565
566install-am: all-am
567	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
568
569installcheck: installcheck-recursive
570install-strip:
571	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
572	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
573	  `test -z '$(STRIP)' || \
574	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
575mostlyclean-generic:
576
577clean-generic:
578
579distclean-generic:
580	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
581	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
582	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
583
584maintainer-clean-generic:
585	@echo "This command is intended for maintainers to use"
586	@echo "it deletes files that may require special tools to rebuild."
587	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
588clean: clean-recursive
589
590clean-am: clean-generic clean-local mostlyclean-am
591
592distclean: distclean-recursive
593	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
594	-rm -f Makefile
595distclean-am: clean-am distclean-generic distclean-hdr distclean-local \
596	distclean-tags
597
598dvi: dvi-recursive
599
600dvi-am:
601
602html: html-recursive
603
604html-am:
605
606info: info-recursive
607
608info-am:
609
610install-data-am:
611
612install-dvi: install-dvi-recursive
613
614install-dvi-am:
615
616install-exec-am:
617
618install-html: install-html-recursive
619
620install-html-am:
621
622install-info: install-info-recursive
623
624install-info-am:
625
626install-man:
627
628install-pdf: install-pdf-recursive
629
630install-pdf-am:
631
632install-ps: install-ps-recursive
633
634install-ps-am:
635
636installcheck-am:
637
638maintainer-clean: maintainer-clean-recursive
639	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
640	-rm -rf $(top_srcdir)/autom4te.cache
641	-rm -f Makefile
642maintainer-clean-am: distclean-am maintainer-clean-generic
643
644mostlyclean: mostlyclean-recursive
645
646mostlyclean-am: mostlyclean-generic
647
648pdf: pdf-recursive
649
650pdf-am:
651
652ps: ps-recursive
653
654ps-am:
655
656uninstall-am:
657
658.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
659	ctags-recursive install-am install-strip tags-recursive
660
661.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
662	all all-am am--refresh check check-am clean clean-generic \
663	clean-local ctags ctags-recursive dist dist-all dist-bzip2 \
664	dist-gzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
665	distcheck distclean distclean-generic distclean-hdr \
666	distclean-local distclean-tags distcleancheck distdir \
667	distuninstallcheck dvi dvi-am html html-am info info-am \
668	install install-am install-data install-data-am install-dvi \
669	install-dvi-am install-exec install-exec-am install-html \
670	install-html-am install-info install-info-am install-man \
671	install-pdf install-pdf-am install-ps install-ps-am \
672	install-strip installcheck installcheck-am installdirs \
673	installdirs-am maintainer-clean maintainer-clean-generic \
674	mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags \
675	tags-recursive uninstall uninstall-am
676
677
678distclean-local:
679	if test $(srdcir) = .; then :; else \
680		rm -f ChangeLog; \
681	fi
682
683ChangeLog:
684	@echo Creating $@
685	@if test -d "$(srcdir)/.git"; then \
686	  (GIT_DIR=$(top_srcdir)/.git ./missing --run git log --stat -M -C --name-status  --date=short --no-color) | fmt --split-only > $@.tmp \
687	  && mv -f $@.tmp $@ \
688	  || ($(RM) $@.tmp; \
689	      echo Failed to generate ChangeLog, your ChangeLog may be outdated >&2; \
690	      (test -f $@ || echo git-log is required to generate this file >> $@)); \
691	else \
692	  test -f $@ || \
693	  (echo A git checkout and git-log is required to generate ChangeLog >&2 && \
694	  echo A git checkout and git-log is required to generate this file >> $@); \
695	fi
696
697.PHONY: ChangeLog
698
699clean-local :
700	rm -f *~
701
702# Tell versions [3.59,3.63) of GNU make to not export all variables.
703# Otherwise a system limit (for SysV at least) may be exceeded.
704.NOEXPORT:
705